<?php
namespace Ep\Wp;

use Ep\View\Renderer\RendererAwareInitializer;
use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'wp.core.assets'            => Plugin\Core\Assets::class,
            'wp.core.document_meta'     => Plugin\Core\DocumentMeta::class,
            'wp.core.mail'              => Plugin\Core\Mail::class,
            'wp.core.misc'              => Plugin\Core\Misc::class,
            'wp.core.options'           => Plugin\Core\Options::class,
            'wp.i18n.cyrillic_to_latin' => Plugin\I18n\CyrillicToLatin::class,
            'wp.i18n.translation_cache' => Plugin\I18n\TranslationCache::class,
        ],

        'factories' => [
            Plugin\Core\Mail::class             => Plugin\Core\MailFactory::class,
            Plugin\Core\Assets::class           => Plugin\Core\AssetsFactory::class,
            Plugin\Core\DocumentMeta::class     => InvokableFactory::class,
            Plugin\Core\Misc::class             => InvokableFactory::class,
            Plugin\Core\Options::class          => Plugin\Core\OptionsFactory::class,
            Plugin\I18n\CyrillicToLatin::class  => InvokableFactory::class,
            Plugin\I18n\TranslationCache::class => Plugin\I18n\TranslationCacheFactory::class,
        ],

        'initializers' => [
            RendererAwareInitializer::class,
        ],
    ],
];
