<?php
namespace Ep\Wp\Plugin\Core;

use Ep\Wp\Plugin\PluginInterface;

class Misc implements PluginInterface
{
    public function __invoke(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init()
    {
        remove_action('template_redirect', 'redirect_canonical');
        add_filter('home_url', [$this, 'home_url'], 100, 2);
    }

    public function home_url($url, $path)
    {
        if (!preg_match('#^http#', $url)) {
            return sprintf('https://%s/%s', $_SERVER['HTTP_HOST'], ltrim($url, '/'));
        }

        return $url;
    }
}