<?php
namespace Ep\Wp\Plugin;

use Twig_Extension;
use Twig_Function;

/**
 * Omogućuje WordPress u Twigu.
 *
 * @package Ep\Wp\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class TwigExtension extends Twig_Extension
{
    /** @var array */
    private $proxy = [
        '__',
        '_x',
    ];

    /** @var array */
    private $functions;

    /**
     * Vraća Twig funkcije.
     *
     * @return array
     */
    public function getFunctions()
    {
        if (null === $this->functions) {
            $this->functions = [];

            foreach ($this->proxy as $name) {
                $this->functions[] = new Twig_Function($name, $name);
            }

            $this->functions[] = new Twig_Function('wp_action', 'do_action');
        }

        return $this->functions;
    }
}