<?php
namespace Ep\Wp\Test;

use Ep\Wp\ConfigProvider;
use Ep\Wp\Plugin\PluginInterface;
use Ep\Wp\Plugin\PluginManager;
use EpTest\ContainerAwareTrait;
use WP_UnitTestCase;
use Laminas\ServiceManager\PluginManagerInterface;

/**
 * Class AbstractWordPressTest
 *
 * @package Ep\Wp\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework
 */
abstract class AbstractWordPressTest extends WP_UnitTestCase
{
    use ContainerAwareTrait;

    protected function getPluginManager(array $additionalConfig = []): PluginManagerInterface
    {
        $container = $this->createContainer(array_merge((new ConfigProvider())(), $additionalConfig));
        return $container->get(PluginManager::class);
    }

    protected function getPlugin(string $name, array $additionalConfig = []): PluginInterface
    {
        $plugins = $this->getPluginManager($additionalConfig);
        return $plugins->get($name);
    }
}
