<?php
namespace EpTest\Wp\Plugin\Core;

use Ep\Wp\Plugin\Core\DocumentMeta;
use Ep\Wp\Test\AbstractWordPressTest;

/**
 * Class DocumentMetaTest
 *
 * @package EpTest\Wp\Plugin\Core
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
final class DocumentMetaTest extends AbstractWordPressTest
{
    public function testRendersTheTags()
    {
        global $post;

        $post = new \WP_Post((object) [
            'ID' => 1,
        ]);

        $metas = [
            '_meta_description' => 'this is the description',
            '_meta_keywords' => 'these, are, the, keywords',
        ];

        add_filter('get_post_metadata', function(
            /** @noinspection PhpUnusedParameterInspection */
            $null, $object_id, $meta_key
        ) use ($metas) {
            $this->assertEquals(1, $object_id);
            $this->assertContains($meta_key, ['_meta_description', '_meta_keywords']);

            return $metas[$meta_key];
        }, 10, 3);

        $plugin = new DocumentMeta();
        $plugin();

        ob_start();
        wp_head();
        $head = ob_get_clean();

        $this->assertContains('<meta name="description" content="this is the description">', $head);
        $this->assertContains('<meta name="keywords" content="these, are, the, keywords">', $head);
    }
}