<?php
namespace EpTest\Wp\Plugin;

use Ep\Wp\Plugin\PluginManager;
use Ep\Wp\Plugin\PluginManagerFactory;
use PHPUnit\Framework\TestCase;
use Laminas\ServiceManager\Factory\InvokableFactory;
use Laminas\ServiceManager\ServiceManager;

/**
 * Class PluginManagerFactoryTest
 *
 * @package EpTest\Wp\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class PluginManagerFactoryTest extends TestCase
{
    /** @var ServiceManager */
    private $container;

    protected function setUp()/* The :void return type declaration that should be here would cause a BC issue */
    {
        parent::setUp();

        $this->container = new ServiceManager();
        $this->container->setService('config', [
            'wp_plugins' => [
                'aliases' => [
                    'testplugin' => \stdClass::class,
                ],

                'factories' => [
                    \stdClass::class => InvokableFactory::class,
                ],
            ],
        ]);
    }

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testWillInjectConfigFromContainer()
    {
        $factory = new PluginManagerFactory();
        $plugins = $factory($this->container, PluginManager::class);

        $this->assertTrue($plugins->has('testplugin'));
    }
}
